Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGradient.CoordinateMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QGradient.CoordinateMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QGradient

    public static final class QGradient.CoordinateMode

extends java.lang.Enum
implements QtEnumerator

This enum specifies how gradient coordinates map to the paint device on which the gradient is used.

See Also:
  Serialized Form

Field Summary
`static QGradient.CoordinateMode` | `LogicalMode` This is the default mode.
`static QGradient.CoordinateMode` | `ObjectBoundingMode` In this mode the gradient coordinates are relative to the bounding rectangle of the object being drawn, with (0,0) in the top left corner, and (1,1) in the bottom right corner of the object's bounding rectangle.
`static QGradient.CoordinateMode` | `StretchToDeviceMode` In this mode the gradient coordinates are relative to the bounding rectangle of the paint device, with (0,0) in the top left corner, and (1,1) in the bottom right corner of the paint device.

Method Summary
`static QGradient.CoordinateMode` | `resolve(int value)` Returns the CoordinateMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGradient.CoordinateMode` | `valueOf(java.lang.String name)`
`static QGradient.CoordinateMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LogicalMode

    public static final QGradient.CoordinateMode LogicalMode

  This is the default mode. The gradient coordinates are specified logical space just like the object coordinates.

### StretchToDeviceMode

    public static final QGradient.CoordinateMode StretchToDeviceMode

  In this mode the gradient coordinates are relative to the bounding rectangle of the paint device, with (0,0) in the top left corner, and (1,1) in the bottom right corner of the paint device.

### ObjectBoundingMode

    public static final QGradient.CoordinateMode ObjectBoundingMode

  In this mode the gradient coordinates are relative to the bounding rectangle of the object being drawn, with (0,0) in the top left corner, and (1,1) in the bottom right corner of the object's bounding rectangle.

Method Detail

### values

    public static QGradient.CoordinateMode[] values()

### valueOf

    public static QGradient.CoordinateMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGradient.CoordinateMode resolve(int value)

  Returns the CoordinateMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD